package cn.com.ty.lift.business.maintenance.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 电梯二维码扫码记录表
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2020-04-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ScanRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 电梯二维码扫码记录id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 电梯注册代码
     */
    @TableField("registration_code")
    private String registrationCode;

    /**
     * 电梯位置
     */
    @TableField("device_position")
    private String devicePosition;

    /**
     * 项目名
     */
    @TableField("project_name")
    private String projectName;

    /**
     * 电梯类型(直梯,扶梯)
     */
    @TableField("lift_type_name")
    private String liftTypeName;

    /**
     * 维保人员名字
     */
    @TableField("worker_name")
    private String workerName;

    /**
     * 电梯id
     */
    @TableField("lift_id")
    private Long liftId;
    
}
